Subject: *shell-mode* error

From: "A. Soare" <[email-masked]>
Date: Tue, 14 Jul 2009 16:34:14 +0200 (CEST)

When I change the current directory using "cd new_dir", the tab-completion will recognize the new directory. For example, supposing that I am in pwd=X and I execute "cd /root". Then ls <tab> will show the correct answer in *Completion* (the files from /root).

On the contrary, when I memorize the current directory (X) using pushd, then I make cd <new_dir>, then I execute popd, the *Completion* buffer will show the files from the directory <new_dir>, even I executed in the meantime popd. It should have displayed the files from X... 

Can somebody solve this bug, please? I do not have time to watch the code now...

Thanks,

A Soare 

*************************************

Nous demandons juste que les leaders mondiaux ne soutiennent pas Poutine. Chaque fois qu'ils le rencontrent officiellement, ils lui offrent des outils très puissants de propagande.

Je prends mes précautions: je ne vais jamais au restaurant, sauf si le chef est un ami. Je ne voyage jamais par Aeroflot (la compagnie aérienne nationale russe, ndlr). Si je le fais, j'évite de manger ou de boire par peur d'être empoisonné. Mais vous savez, ce n'est pas la peur qui compte, ce qui est important, c'est de pouvoir la surmonter...

Garry Kasparov

____________________________________________________

Le week-end sera pluvieux ? Quel dommage !... Mais pas de panique le nouveau Guide TV de Voila est là  http://tv.voila.fr